File
Download or delete a file uploaded to Customer 360 Data Manager.
Use the File resource to download files that are in the Customer 360 Data Manager file staging. Delete a file from file staging.
Syntax
- Resource
-
1/datamanager/datatools/apiVersion/files/documentId - Availability
- 1.0
- Formats
- REST
- HTTP methods
-
GET
Downloads a data file by document ID.
DELETE
Deletes a data file by document ID.
- Authentication
- OAuth
- Request parameters
-
Parameter Description baseURI baseURI for the API gateway. Different regions have different values. Call the Data Job API lists the values.
For example: na.api-salesforce.com/datamanager/
apiVersion Version of the DJ API to use. The current version is v1.0.
For example: v1.0
documentID The document ID returned by the Files GET method. - GET Request headers
-
- x-sfdc-domain
- Specifies the instance_url returned in the authentication token.
- Content-type:
- Specifies the content type. For this resource, text/plain is required.
- authorization
- Specifies the authorization token.
- DELETE Request headers
-
- x-sfdc-domain
- Specifies the instance_url returned in the authentication token.
- accept
- Specifies the type. For this resource, application/json is required.
- authorization
- Specifies the authorization token.
- Request and Response Bodies
- Consult the appropriate version of the Data Jobs RAML Spec.
Examples
- GET Request
- Downloads a text file locally.
-
1curl -vL -X GET \ 2 https://na.api-salesforce.com/datamanager/datatools/v1.0/files/069RM00000062W5YAI \ 3 -o '/Users/tavery/Documents/API_DJ/Download/SC_Q3_AlphaOrg-AlphaObject-Records.csv' \ 4 -H 'Content-type: text/plain' \ 5 -H 'authorization: Bearer 00DRM000000IeI2!AR4AQGOoRRDRwEXF9lMpXIa1OcBC4D0aJvOTez__6lG_vjUkw8Vj5UZAe0lhGn7ES8q3YA_q9kR2gjAjhiutLOgp4exOb3v4' \ 6 -H 'x-sfdc-domain: shdw1593537624774.my.stmfb.stm.salesforce.com' - GET Response
- The file is downloaded. No response document is returned.
- DELETE Request
- Deletes a file that you uploaded to the Customer 360 Data Manager file staging.
-
1curl -vL -X DELETE \ 2 https://na.api-salesforce.com/datamanager/datatools/v1.0/files/069RM0000000W5sYAE \ 3 -H 'Content-type: text/plain' \ 4 -H 'authorization: Bearer 00DRM000000IeI2!AR4AQGOoRRDRwEXF9lMpXIa1OcBC4D0aJvOTez__6lG_vjUkw8Vj5UZAe0lhGn7ES8q3YA_q9kR2gjAjhiutLOgp4exOb3v4' \ 5 -H 'x-sfdc-domain: shdw1593537624774.my.stmfb.stm.salesforce.com' - DELETE Response
- The file is deleted. Returns the file ID of the file that is
deleted.
1["069111111111111YAI"]